Bug 370341 - PVFB frontend can send bogus screen updates
Summary: PVFB frontend can send bogus screen updates
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen   
(Show other bugs)
Version: 5.1
Hardware: All Linux
low
high
Target Milestone: ---
: ---
Assignee: Markus Armbruster
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 370431 496205
TreeView+ depends on / blocked
 
Reported: 2007-11-07 21:17 UTC by Markus Armbruster
Modified: 2009-04-17 09:10 UTC (History)
9 users (show)

Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 496205 (view as bug list)
Environment:
Last Closed: 2008-05-21 15:01:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix tracking of screen dirtiness (824 bytes, patch)
2007-11-07 21:22 UTC, Markus Armbruster
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0314 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5.2 2008-05-20 18:43:34 UTC

Description Markus Armbruster 2007-11-07 21:17:13 UTC
+++ This bug was initially created as a clone of Bug #368931 +++

Description of problem:

When using 'xm create' to start a paravirt guest, the SDL window often
disappears part way through the boot.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Configure a pv guest to use SDL graphics
2. xm create <pv guest>
3. wait for the guest to boot all the way up
  
Actual results:
I've seen the SDL window disappear on both i386 and ia64 about 20% of the time. 
I see nothing suspicious in xend.log. There is no output to xend-debug.log.

Expected results:
The SDL window should remain present every time a paravirt guest is started.

Additional info:

Looks similar to bz# 217635

-- Additional comment from berrange@redhat.com on 2007-11-07 10:52 EST --
Co-incidentally yesterday i discovered a potential bug in the guest kernel PVFB
driver. It occassionally sends a framebuffer update event to the Dom0 with a x,y
of MAX_INT, MAX_INT, and a width+height of -MAX_INT, -MAX_INT.   When SDL then
tries to process this update event it gets an BadValue error from Xorg and
quits. In my tests against xen-unstable this happened on as many as 30% of all
bootup attempts with SDL, so I think its reasonably likely this is the same
problem you're describing. The VNC display doesn't seem to be affected, since
its update routine does region clipping. 



-- Additional comment from pm-rhel@redhat.com on 2007-11-07 10:54 EST --
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 1 Markus Armbruster 2007-11-07 21:22:26 UTC
Created attachment 250871 [details]
Fix tracking of screen dirtiness

The PVFB front end can get confused and send a bogus screen update to the back
end when the screen is clean.

Comment 2 Markus Armbruster 2007-11-21 15:52:29 UTC
Proposed fix is now upstram, cset 311:ca05cf1a9bdc.

Comment 4 Don Zickus 2007-12-17 19:37:26 UTC
in 2.6.18-61.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 7 errata-xmlrpc 2008-05-21 15:01:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html



Note You need to log in before you can comment on or make changes to this bug.